Bug 963190 - X crashes when trying to play netflix movie in wine
X crashes when trying to play netflix movie in wine
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 07:13 EDT by birger
Modified: 2015-02-17 10:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:14:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (43.95 KB, text/plain)
2013-05-15 07:14 EDT, birger
no flags Details

  None (edit)
Description birger 2013-05-15 07:13:00 EDT
Description of problem:
I installed netflix support using the Netflixplayer.sh script. This script sets up wine with the necessary components.

Whenever I start the netflix player (firefox in wine) all is well until i try top actually play a movie. Then X just restarts and throws me back to the login screen. The crash is not detected by the reporting tools it seems.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.14.1-2.fc19.x86_64
mesa-dri-drivers-9.2-0.1.20130508.fc19.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Start firefox in wine
2. Log in to netflix
3. Play a movie
  
Actual results:
X restarts

Expected results:
Watching the first episode of Dr. Who.

Additional info:

From Xorg.0.log
[  7383.227] (EE) 
[  7383.227] (EE) Backtrace:
[  7383.229] (EE) 0: /usr/bin/Xorg (?+0x0) [0x46e410]
[  7383.229] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x3f0da0ef9f]
[  7383.230] (EE) 2: /lib64/libdricore9.2.0.so.1 (_mesa_GenBuffers+0x6d) [0x7f19
5dbe635d]
[  7383.231] (EE) 3: /usr/lib64/xorg/modules/extensions/libglx.so (?+0x6d) [0x7f
195f10e7ad]
[  7383.231] (EE) 4: /usr/lib64/xorg/modules/extensions/libglx.so (?+0x6d) [0x7f
195f110bfd]
[  7383.231] (EE) 5: /usr/bin/Xorg (?+0x6d) [0x436abd]
[  7383.232] (EE) 6: /usr/bin/Xorg (?+0x6d) [0x42609d]
[  7383.232] (EE) 7: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3f0d621b75]
[  7383.232] (EE) 8: /usr/bin/Xorg (?+0xf5) [0x42680d]
[  7383.233] (EE) 9: ? (?+0xf5) [0xf5]
[  7383.233] (EE) 
[  7383.233] (EE) Segmentation fault at address 0x1
[  7383.233] 
Fatal server error:
[  7383.233] Caught signal 11 (Segmentation fault). Server aborting
[  7383.233] 
[  7383.233] (EE)
Comment 1 birger 2013-05-15 07:14:31 EDT
Created attachment 748197 [details]
Xorg.0.log
Comment 2 Ash Hughes 2013-06-05 14:22:26 EDT
Also affects Fedora 18 (after a wine update I think)
Comment 3 Fedora End Of Life 2015-01-09 13:07:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:14:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.